USN-3906-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3906-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3906-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3906-1
Related
Published
2019-03-12T13:08:54.152837Z
Modified
2019-03-12T13:08:54.152837Z
Summary
tiff vulnerabilities
Details

It was discovered that LibTIFF incorrectly handled certain malformed images. If a user or automated system were tricked into opening a specially crafted image, a remote attacker could crash the application, leading to a denial of service, or possibly execute arbitrary code with user privileges.

References

Affected packages

Ubuntu:14.04:LTS / tiff

Package

Name
tiff

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.0.3-7ubuntu0.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libtiff-doc": "4.0.3-7ubuntu0.11",
            "libtiff-opengl": "4.0.3-7ubuntu0.11",
            "libtiff4-dev": "4.0.3-7ubuntu0.11",
            "libtiff5-alt-dev": "4.0.3-7ubuntu0.11",
            "libtiff5": "4.0.3-7ubuntu0.11",
            "libtiff-tools": "4.0.3-7ubuntu0.11",
            "libtiffxx5": "4.0.3-7ubuntu0.11",
            "libtiff5-dev": "4.0.3-7ubuntu0.11"
        }
    ]
}

Ubuntu:18.04:LTS / tiff

Package

Name
tiff

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.0.9-5ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libtiff-doc": "4.0.9-5ubuntu0.2",
            "libtiff-opengl": "4.0.9-5ubuntu0.2",
            "libtiff5": "4.0.9-5ubuntu0.2",
            "libtiff-dev": "4.0.9-5ubuntu0.2",
            "libtiff-tools": "4.0.9-5ubuntu0.2",
            "libtiffxx5": "4.0.9-5ubuntu0.2",
            "libtiff5-dev": "4.0.9-5ubuntu0.2"
        }
    ]
}

Ubuntu:16.04:LTS / tiff

Package

Name
tiff

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.0.6-1ubuntu0.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libtiff5": "4.0.6-1ubuntu0.6",
            "libtiff-doc": "4.0.6-1ubuntu0.6",
            "libtiff-opengl": "4.0.6-1ubuntu0.6",
            "libtiff-tools": "4.0.6-1ubuntu0.6",
            "libtiffxx5": "4.0.6-1ubuntu0.6",
            "libtiff5-dev": "4.0.6-1ubuntu0.6"
        }
    ]
}